KDE SC 4.7

Avvio e configurazione del server X, KDE, GNOME e tutti gli altri DE/WM
Avatar utente
veleno77
Moderatore
Messaggi: 6282
Iscritto il: 25 marzo 2008, 18:26
Architettura: x86 (32Bit)
Località: Torino
Contatta:

Messaggio da veleno77 » 26 maggio 2011, 10:07

Rieccoci....
la prima beta della nuova major release di KDE 4.7 è uscita ed è già disponibile nel repositorio [kde-unstable].

KDE si trasferirà lentamente a GIT, con questo passaggio qualche modulo di KDE è stato suddiviso in sotto-progetti, Alcuni di essi saranno divisi durante questo ciclo di beta, mentre altri moduli saranno divisi prima di KDE 4.8.
Il risultato di questo processo è che alcuni pacchetti (ad esempio kdegraphics-libs) è ora suddiviso in vari pacchetti, e ognuno va in conflitto con il vecchio, in modo che possa essere rimosso nel caso in cui pacman ne chieda la rimozione durante l'aggiornamento.

Si Veda l'annuncio ufficiale di KDE per cambiamenti.

Arch Linux modifiche:
- Kdegraphics-libs è ora suddiviso in: kdegraphics-ksaneplugin, kdegraphics-strigi-Analyzer, kdegraphics-svgpart, kdegraphics-thumbnailers, libkdcraw, libkexiv2, libkipi, libksane
- Kdebindings-csharp è ora suddiviso in: kdebindings-qyoto, kdebindings-kimono
- Kdebindings-ruby è ora suddiviso in: kdebindings-qtruby, kdebindings-korundum
- Kdebindings-smoke è ora suddiviso in: kdebindings-smokegen, kdebindings-smokeqt, kdebindings-smokekde

- Nuovi pacchetti: kdebindings-kimono, kdebindings-korundum, kdebindings-perlkde, kdebindings-perlqt, kdebindings-qtruby, kdebindings-qyoto, kdebindings-smokegen, kdebindings-smokekde, kdebindings-smokeqt, kdebase-konq-plugins, kde-wallpapers, libkface, libkmap
- Kdeedu-libkdeedu e kdeedu-data sono entrambi sostituiti da libkdeedu
- Kdeaccessibility-colorschemes è sostituito dal kdeartwork-colorschemes
- Kdeaccessibility-iconthemes è sostituito dal kdeartwork-iconthemes

I seguenti pacchetti dipendono da kdegraphics-libs, e quindi attualmente sono rotti:
- Digikam (dipende ora 'libkexiv2')
- Kipi-plugins (dipende ora 'libkexiv2' 'libkdcraw' 'libksane' 'libkipi')
- Koffice-Krita (dipende ora 'libkdcraw')
- Skanlite (dipende ora 'libksane')
- Tellico (dipende ora 'libksane')
- KPhotoAlbum (dipende ora 'libkdcraw' 'libkipi')

Si legga la pagina wiki [1] su [kde-instabile] se si desidera utilizzare questi pacchetti, si ricorda che è necessario abilitare [testing] e seguire arch-dev-public.

Inoltre, la prima beta della suite Calligra è in [kde-instabile] dal 19 maggio e pacchetti sono costruiti per sostituire la suite KOffice. Si prega di utilizzare la discussione su Calligra per segnalare i bug di compilazione.

Si prega di segnalare eventuali bug di compilazione in https://bugs.archlinux.org.
Mentre per i bug di KDE in https://bugs.kde.org.

[1] https://wiki.archlinux.org/index.php/De ... ng_the_kde -unstable_repository
Se avete risolto il vostro problema, editate il primo post aggiungendo [Risolto] al titolo.
Problemi con Arch ? 1°Metodo-2°Metodo-3°Metodo
ArchWiki Translation Team - Cerchiamo traduttori!

known
Novello Arciere
Messaggi: 143
Iscritto il: 7 agosto 2009, 10:14

Messaggio da known » 26 maggio 2011, 12:02

Io ho aggiornato.
Complessivamente funziona bene, a livello grafico, alcuni dettagli come le barre del volume ecc sono migliorate tantissimo.
Ho qualche lag nel systemsetting e poi ad ogni avvio ho una segnalazione d'errore che non capisco da cosa sia causato.

Avatar utente
veleno77
Moderatore
Messaggi: 6282
Iscritto il: 25 marzo 2008, 18:26
Architettura: x86 (32Bit)
Località: Torino
Contatta:

Messaggio da veleno77 » 26 maggio 2011, 12:09

penso che aggiornerò a breve l'eeepc e vediamo un pò.
Se avete risolto il vostro problema, editate il primo post aggiungendo [Risolto] al titolo.
Problemi con Arch ? 1°Metodo-2°Metodo-3°Metodo
ArchWiki Translation Team - Cerchiamo traduttori!

Avatar utente
trapanator
Little John
Messaggi: 908
Iscritto il: 22 gennaio 2009, 18:56
Località: Trentino

Messaggio da trapanator » 26 maggio 2011, 14:07

veleno77 ha scritto:penso che aggiornerò a breve l'eeepc e vediamo un pò.
anche io ho l'eeepc (1201T). Fammi sapere come va :D
PC Fisso: Intel E6300 - 4GB RAM - Nvidia Geforce 9300M - HD 320GB

Avatar utente
Hilinus
Moderatore
Messaggi: 5649
Iscritto il: 25 ottobre 2008, 19:28
Architettura: x86_64 (64bit)

Messaggio da Hilinus » 27 maggio 2011, 18:22

Aggiornato. L'indicizzazione funziona a pene di segugio e indicizza quello che vuole lei. Presumo ci sia qualche problema con alcuni files od eventuali caratteri che ne compongono i nomi.

Downgradato, tutto ok.
Q6600 @ 3.2 Ghz + Thermalright Ultra 120 Extreme | 6 GB DDR2 Ocz Gold
Asus P5K | Sapphire HD7850 2GB | E ovviamente... Arch Linux :)

Avatar utente
veleno77
Moderatore
Messaggi: 6282
Iscritto il: 25 marzo 2008, 18:26
Architettura: x86 (32Bit)
Località: Torino
Contatta:

Messaggio da veleno77 » 28 maggio 2011, 10:05

aggiornato e per ora pare tutto ok, per l'indicizzazione non vedo particolari intoppi.
Come nella precedente versione non mi funzionano gli effetti desktop, kde li reputa troppo lenti e li disabilita
Se avete risolto il vostro problema, editate il primo post aggiungendo [Risolto] al titolo.
Problemi con Arch ? 1°Metodo-2°Metodo-3°Metodo
ArchWiki Translation Team - Cerchiamo traduttori!

Avatar utente
veleno77
Moderatore
Messaggi: 6282
Iscritto il: 25 marzo 2008, 18:26
Architettura: x86 (32Bit)
Località: Torino
Contatta:

Messaggio da veleno77 » 29 maggio 2011, 13:51

niente ho dovuto piallare kde, ora o solo gnome3 sul piccolo, stranamente dava problemi strani, del tipo che sembrava avviasse sia gnome che kde contemporaneamente, so che è una spiegazione assurda, ma spesso crashava plasma e appariva lo sfondo e la barra di gnome-shell mentre cercava di riavviarsi.
Se avete risolto il vostro problema, editate il primo post aggiungendo [Risolto] al titolo.
Problemi con Arch ? 1°Metodo-2°Metodo-3°Metodo
ArchWiki Translation Team - Cerchiamo traduttori!

franz1789
Arciere Provetto
Messaggi: 410
Iscritto il: 23 giugno 2008, 14:58

Messaggio da franz1789 » 30 maggio 2011, 0:12

Ero tentato di aggiornare, ma meglio che mi tenga il mio sistema così com'è, già systemd mi sta dando qualche grattacapo..

Avatar utente
Hilinus
Moderatore
Messaggi: 5649
Iscritto il: 25 ottobre 2008, 19:28
Architettura: x86_64 (64bit)

Messaggio da Hilinus » 31 maggio 2011, 18:29

L'ho reinstallato avendo cura di non cancellare il db dei files indicizzati e va tutto a meraviglia, se non fosse che strigi decide di indicizzare tutti i files ad OGNI riavvio, rendendo il PC inusabile nel lasso di tempo richiesto per l'operazione. Consigli?
Q6600 @ 3.2 Ghz + Thermalright Ultra 120 Extreme | 6 GB DDR2 Ocz Gold
Asus P5K | Sapphire HD7850 2GB | E ovviamente... Arch Linux :)

Avatar utente
veleno77
Moderatore
Messaggi: 6282
Iscritto il: 25 marzo 2008, 18:26
Architettura: x86 (32Bit)
Località: Torino
Contatta:

Messaggio da veleno77 » 31 maggio 2011, 19:04

a me non capitava.. disabilita strigi per il momento, è l'unico consiglio che posso darti
Se avete risolto il vostro problema, editate il primo post aggiungendo [Risolto] al titolo.
Problemi con Arch ? 1°Metodo-2°Metodo-3°Metodo
ArchWiki Translation Team - Cerchiamo traduttori!

enzolatina
Little John
Messaggi: 1150
Iscritto il: 6 ottobre 2007, 22:51
Architettura: x86_64 (64bit)
Località: belluno

Messaggio da enzolatina » 15 giugno 2011, 22:03

giusto una piccola curiosità...ma della beta 2 si sa niente? il rilascio era previsto per l'8, ora siamo al 15 ma non si sente niente in giro.....
noi siamo arch linux, ogni resistenza è inutile, sarete assimilati

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Messaggio da ilpianista » 15 giugno 2011, 22:43

enzolatina ha scritto:giusto una piccola curiosità...ma della beta 2 si sa niente? il rilascio era previsto per l'8, ora siamo al 15 ma non si sente niente in giro.....
c'è una discussione in corso perchè vorrebbero ricompattare i sotto-progetti nei moduli principali di KDE. Alcuni sviluppatori credono si debba aspettare la 4.8 per dividere i moduli in sotto-progetti, e che la divisione deve riguardare tutti i moduli, non solo alcuni.

enzolatina
Little John
Messaggi: 1150
Iscritto il: 6 ottobre 2007, 22:51
Architettura: x86_64 (64bit)
Località: belluno

Messaggio da enzolatina » 15 giugno 2011, 23:33

grazie dell'info bash....io avevo sentito qualcosa riguardo a dei problemi di migrazione dei repo, invece la faccenda è più seria......
ma la discussione non si poteva fare dopo il rilascio oppure con un pò di anticipo in modo da rispettare i tempi previsti? è una settimana che sto tirando il collo, tutti i giorni a controllare le news di kde per vedere se ci sta la notizia del rilascio....
noi siamo arch linux, ogni resistenza è inutile, sarete assimilati

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Messaggio da ilpianista » 18 giugno 2011, 19:45

enzolatina è ufficiale: la beta2 non si farà :) ti tocca aspettare il 21 per un aggiornamento

enzolatina
Little John
Messaggi: 1150
Iscritto il: 6 ottobre 2007, 22:51
Architettura: x86_64 (64bit)
Località: belluno

Messaggio da enzolatina » 18 giugno 2011, 21:07

ok, grazie......comunque il problema non è aspettare, tanto un giorno o una settimana o un mese va bene lo stesso quando so quello che mi aspetta....
che ha poi deciso al riguardo il consiglio dei capi? moduli...sottoprogetti o si sono inventati la formula magica che mette d'accordo tutti?
noi siamo arch linux, ogni resistenza è inutile, sarete assimilati

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Messaggio da ilpianista » 25 giugno 2011, 19:08

RC1 in [kde-unstable]

@enzolatina
I moduli sono rimasti splittati, le uniche distro che continuano a spingere per averli come prima sono Fedora e Slackware (che forse non pacchettizzerà più KDE).

Fabiogiu
Novello Arciere
Messaggi: 70
Iscritto il: 19 giugno 2011, 16:56

Messaggio da Fabiogiu » 25 giugno 2011, 19:14

bash ha scritto:RC1 in [kde-unstable]

@enzolatina
I moduli sono rimasti splittati, le uniche distro che continuano a spingere per averli come prima sono Fedora e Slackware (che forse non pacchettizzerà più KDE).
Si sa la data di rilascio stabile?
Immagine
Linux User:#535984

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Messaggio da ilpianista » 25 giugno 2011, 19:19

Fabiogiu ha scritto:Si sa la data di rilascio stabile?
6 luglio la RC2, 27 luglio 4.7.0

Fabiogiu
Novello Arciere
Messaggi: 70
Iscritto il: 19 giugno 2011, 16:56

Messaggio da Fabiogiu » 25 giugno 2011, 19:24

Ed è attualmente stabile la RC1? Stabile da poter almeno utilizzare il PC per il normale utilizzo?
Immagine
Linux User:#535984

brofiox
Arciere
Messaggi: 157
Iscritto il: 1 settembre 2010, 17:12
Località: Torino city

Messaggio da brofiox » 25 giugno 2011, 19:28

posso dire la mia semplicemente su KDE SC? Secondo me quello che avrebbe dovuto chiamarsi KDE 4.0 sarebbe dovuto essere il 4.3.x. Gli altri prima, seppur con tutto il mio amore per KDE, non erano cosa.. (lo uso dalla prima beta del 4.0 eh, non da ieri..)
Voglio dire: l'infrastruttura sotto c'era tutta, ma i programmi non erano pronti. Adesso siamo alla 4.7.. 4.7!? la versione 4.7 di un programma è una cosa stabile ma talmente stabile che la devi prendere a cannonate per farla inciampare. E tutta sta stabilità non mi pare ci fosse dalle 4.1 o anche 4.3.... diciamo dalle 4.4?
Mah.. mi pare che stiano buttando i numeri di versione un po' così... Personalmente ritengo la "loro" 4.7, la "mia" 4.3.
La mia opinione personale, CHIARAMENTE.

known
Novello Arciere
Messaggi: 143
Iscritto il: 7 agosto 2009, 10:14

Messaggio da known » 26 giugno 2011, 16:27

Io con la RC1 continuo ad avere una segnalazione d'errore ad ogni avvio, voi anche?
Poi nepomunk non funziona :|

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Messaggio da ilpianista » 26 giugno 2011, 17:29

known ha scritto:Io con la RC1 continuo ad avere una segnalazione d'errore ad ogni avvio, voi anche?
Poi nepomunk non funziona :|
Ho disabilitato il backend Clucene in soprano e strigiclient in strigi perche' sapevo che non venivano utilizzati...ma forse non e' cosi' :/ appena ho tempo devo controllare i log

known
Novello Arciere
Messaggi: 143
Iscritto il: 7 agosto 2009, 10:14

Messaggio da known » 26 giugno 2011, 18:49

Ok ;)

Per quanto riguarda l'errore che ho ad ogni avvio?
C'è modo di capire da cosa sia causato? Grazie :)

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Messaggio da ilpianista » 26 giugno 2011, 22:24

Scusami forse prima non mi sono spiegato: hai quell'errore perchè nepomuk non è stato compilato a causa di qualche libreria mancante.
Aggiornando a kdebase-runtime 4.6.90-2 non dovrebbe più comparire l'errore.

known
Novello Arciere
Messaggi: 143
Iscritto il: 7 agosto 2009, 10:14

Messaggio da known » 26 giugno 2011, 23:07

Credo che siano due problemi separati, la segnalazione del crash continuo ad averla ad ogni avvio.
Nepomuk e la notifica sul vassoio invece non più, infatti adesso con l'ultimo aggiornamento funziona.
C'è qualche log che potrei consultare per capire il problema? Grazie ;)

Bloccato